/*
 *  ----------------------------------------------------------------------------
 *  Filename      : Setting.java
 *  ----------------------------------------------------------------------------
 *  Application   : Soekia
 *  Author        : Matthias Dreier
 *  File created  : 16.09.2003
 *  ----------------------------------------------------------------------------
 *  This file is part of Soekia.
 *
 *  Soekia is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Soekia is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Soekia; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *  ----------------------------------------------------------------------------
 */
package ch.educeth.soekia.xml;

import java.util.ArrayList;
import java.util.List;

/**
 * A setting element.
 * 
 * @author	Matthias Dreier
 */
public class Setting {

	/**
	 * The name of the setting.
	 */
	public String name;

	/**
	 * The values of the setting.
	 */
	public List values;

	/**
	 * Creates a new setting element.
	 *
	 * @param	name	The name of the setting.
	 * @param	values	The values of the setting.
	 */
	public Setting(String name, List values) {
		this.name = name;
		this.values = values;
	}

	/**
	 * Creates a new setting element with one value.
	 *
	 * @param	name	The name of the setting.
	 * @param	value	The value of the setting.
	 */
	public Setting(String name, String value) {
		this.name = name;
		values = new ArrayList();
		values.add(value);
	}

}
